## ros-melodic-uwsim-osgbullet 3.0.1

=== examples/CMakeLists.txt ===
SET( CATEGORY Example )

ADD_SUBDIRECTORY( basicdemo )
ADD_SUBDIRECTORY( centerofmass )
ADD_SUBDIRECTORY( collision )
ADD_SUBDIRECTORY( dice )
ADD_SUBDIRECTORY( handphysics )
ADD_SUBDIRECTORY( hinge )
ADD_SUBDIRECTORY( multithreaded )
ADD_SUBDIRECTORY( patch-lowlevel )
ADD_SUBDIRECTORY( slider )
ADD_SUBDIRECTORY( saverestore )

# Requires multithreaded, but that's not always available
IF( BULLET_BulletMultiThreaded_LIBRARY OR BULLET_BulletMultiThreaded_LIBRARY_debug )
    ADD_SUBDIRECTORY( solver )
ENDIF( BULLET_BulletMultiThreaded_LIBRARY OR BULLET_BulletMultiThreaded_LIBRARY_debug )

=== tests/CMakeLists.txt ===
SET( CATEGORY Test )

ADD_SUBDIRECTORY( callback )
ADD_SUBDIRECTORY( com )
ADD_SUBDIRECTORY( compound )
# ADD_SUBDIRECTORY( cylinder )
ADD_SUBDIRECTORY( handsimple )
ADD_SUBDIRECTORY( robot )
ADD_SUBDIRECTORY( scale )
ADD_SUBDIRECTORY( testconstraints )
ADD_SUBDIRECTORY( triplebuf )

=== applications/osgbpp/CMakeLists.txt ===
_osgBulletMakeInteractionExe( osgbpp
    osgbpp.cpp
)

=== examples/multithreaded/CMakeLists.txt ===
_osgBulletMakeInteractionExe( multithreaded
    multithreaded.cpp
)

=== examples/slider/CMakeLists.txt ===
_osgBulletMakeInteractionExe( slider
    slider.cpp
)

=== examples/solver/CMakeLists.txt ===
MAKE_EXECUTABLE( solver
    solver.cpp
)

# TARGET_LINK_LIBRARIES( solver
#     F:/Projects/Physics/bullet/out/release8/libs/libbulletcuda.lib
# )

=== src/osgbCollision/CMakeLists.txt ===
set( LIB_NAME osgbCollision )
set( HEADER_PATH ${PROJECT_SOURCE_DIR}/include/${LIB_NAME} )
add_definitions( -DOSGBCOLLISION_LIBRARY )

configure_file( "${HEADER_PATH}/Version.h.in" "${HEADER_PATH}/Version.h" @ONLY)

set( LIB_PUBLIC_HEADERS
    ${HEADER_PATH}/BoundingCone.h
    ${HEADER_PATH}/BoundingCylinder.h
    ${HEADER_PATH}/Chart.h
    ${HEADER_PATH}/CollectVerticesVisitor.h
    ${HEADER_PATH}/CollisionShapes.h
    ${HEADER_PATH}/ComputeCylinderVisitor.h
    ${HEADER_PATH}/ComputeShapeVisitor.h
    ${HEADER_PATH}/ComputeTriMeshVisitor.h
    ${HEADER_PATH}/GLDebugDrawer.h
    ${HEADER_PATH}/RefBulletObject.h
    ${HEADER_PATH}/Utils.h
    ${HEADER_PATH}/Version.h
    ${HEADER_PATH}/VertexAggOp.h
    ${HEADER_PATH}/Export.h
)

set( _osgBulletSourceFiles
    BoundingCone.cpp
    BoundingCylinder.cpp
    Chart.cpp
    CollectVerticesVisitor.cpp
    CollisionShapes.cpp
    ComputeCylinderVisitor.cpp
    ComputeShapeVisitor.cpp
    ComputeTriMeshVisitor.cpp
    GLDebugDrawer.cpp
    Utils.cpp
    VertexAggOp.cpp
    Version.cpp
)

add_library( ${LIB_NAME}
    ${LIB_PUBLIC_HEADERS}
    ${_osgBulletSourceFiles}
)
if( BUILD_SHARED_LIBS )
    if( BULLET_COLLISION_LIBRARY_DEBUG AND BULLET_MATH_LIBRARY_DEBUG )
        set( _localBulletLibs
            optimized ${BULLET_COLLISION_LIBRARY} debug ${BULLET_COLLISION_LIBRARY_DEBUG}
            optimized ${BULLET_MATH_LIBRARY} debug ${BULLET_MATH_LIBRARY_DEBUG}
        )
    else()
        set( _localBulletLibs
            ${BULLET_COLLISION_LIBRARY}
            ${BULLET_MATH_LIBRARY}
        )
    endif()

    target_link_libraries( ${LIB_NAME}
        ${OSGWORKS_LIBRARIES}
        ${OSG_LIBRARIES}
        ${_localBulletLibs}
    )
endif()

set_target_properties( ${LIB_NAME} PROPERTIES VERSION ${OSGBULLET_VERSION} )
set_target_properties( ${LIB_NAME} PROPERTIES SOVERSION ${OSGBULLET_VERSION} )
set_target_properties( ${LIB_NAME} PROPERTIES PROJECT_LABEL "Lib ${LIB_NAME}" )

include( ModuleInstall REQUIRED )

=== src/osgbDynamics/CMakeLists.txt ===
set( LIB_NAME osgbDynamics )
set( HEADER_PATH ${PROJECT_SOURCE_DIR}/include/${LIB_NAME} )
add_definitions( -DOSGBDYNAMICS_LIBRARY )


set( LIB_PUBLIC_HEADERS
    ${HEADER_PATH}/Export.h
    ${HEADER_PATH}/Constraints.h
    ${HEADER_PATH}/CreationRecord.h
    ${HEADER_PATH}/GroundPlane.h
    ${HEADER_PATH}/MotionState.h
    ${HEADER_PATH}/PhysicsState.h
    ${HEADER_PATH}/PhysicsThread.h
    ${HEADER_PATH}/RigidBody.h
    ${HEADER_PATH}/RigidBodyAnimation.h
    ${HEADER_PATH}/TripleBuffer.h
)

set( _osgBulletSourceFiles
    Constraints.cpp
    CreationRecord.cpp
    GroundPlane.cpp
    MotionState.cpp
    PhysicsState.cpp
    PhysicsThread.cpp
    RigidBody.cpp
    RigidBodyAnimation.cpp
    TripleBuffer.cpp
)

add_library( ${LIB_NAME}
    ${LIB_PUBLIC_HEADERS}
    ${_osgBulletSourceFiles}
)
if( BUILD_SHARED_LIBS )
    target_link_libraries( ${LIB_NAME}
        ${OSGWORKS_LIBRARIES}
        ${OSG_LIBRARIES}
        ${BULLET_LIBRARIES}
    )

    # osgbDynamics depends on osgbCollision
    target_link_libraries( ${LIB_NAME}
        optimized "osgbCollision"
        debug "osgbCollision"
    )
endif()

set_target_properties( ${LIB_NAME} PROPERTIES VERSION ${OSGBULLET_VERSION} )
set_target_properties( ${LIB_NAME} PROPERTIES SOVERSION ${OSGBULLET_VERSION} )
set_target_properties( ${LIB_NAME} PROPERTIES PROJECT_LABEL "Lib ${LIB_NAME}" )

include( ModuleInstall REQUIRED )

=== src/osgbInteraction/CMakeLists.txt ===
set( LIB_NAME osgbInteraction )
set( HEADER_PATH ${PROJECT_SOURCE_DIR}/include/${LIB_NAME} )
add_definitions( -DOSGBINTERACTION_LIBRARY )

if( OSGBULLET_P5_SUPPORT )
    set( P5_HEADER ${HEADER_PATH}/p5support.h )
    set( P5_SOURCE p5support.cpp )
else()
    unset( P5_HEADER )
    unset( P5_SOURCE )
endif()


set( LIB_PUBLIC_HEADERS
    ${P5_HEADER}
    ${HEADER_PATH}/Export.h
    ${HEADER_PATH}/ArticulationRecord.h
    ${HEADER_PATH}/DragHandler.h
    ${HEADER_PATH}/LaunchHandler.h
    ${HEADER_PATH}/GestureHandler.h
    ${HEADER_PATH}/HandNode.h
    ${HEADER_PATH}/HandTestEventHandler.h
    ${HEADER_PATH}/SaveRestoreHandler.h
)

set( _osgBulletSourceFiles
    ${P5_SOURCE}
    ArticulationRecord.cpp
    DragHandler.cpp
    LaunchHandler.cpp
    GestureHandler.cpp
    HandNode.cpp
    HandTestEventHandler.cpp
    SaveRestoreHandler.cpp
)

add_library( ${LIB_NAME}
    ${LIB_PUBLIC_HEADERS}
    ${_osgBulletSourceFiles}
)
if( BUILD_SHARED_LIBS )
    target_link_libraries( ${LIB_NAME}
        ${OSGWORKS_LIBRARIES}
        ${OSG_LIBRARIES}
        ${BULLET_LIBRARIES}
        ${OSGBULLET_P5_LIBRARY}
    )

    # osgbDynamics depends on osgbCollision
    target_link_libraries( ${LIB_NAME}
        optimized "osgbDynamics"
        debug "osgbDynamics"
        optimized "osgbCollision"
        debug "osgbCollision"
        ${OSGBULLET_P5_LIBRARY}
    )
endif()

set_target_properties( ${LIB_NAME} PROPERTIES VERSION ${OSGBULLET_VERSION} )
set_target_properties( ${LIB_NAME} PROPERTIES SOVERSION ${OSGBULLET_VERSION} )
set_target_properties( ${LIB_NAME} PROPERTIES PROJECT_LABEL "Lib ${LIB_NAME}" )

include( ModuleInstall REQUIRED )

=== tests/compound/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( compound
    compound.cpp
)

=== tests/triplebuf/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( triplebuf
    triplebuf.cpp
)

=== src/plugins/osgdb_osgbDynamics/CMakeLists.txt ===
set( LIB_NAME osgdb_osgbdynamics )

_osgBulletPlugin( ${LIB_NAME}
    dotosgArticulationRecord.cpp
    dotosgConstraints.cpp
    dotosgCreationRecord.cpp
    dotosgMatrixIO.cpp
    dotosgMatrixIO.h
    dotosgPhysicsData.cpp
)

INCLUDE( ModuleInstall REQUIRED )

=== debian/changelog ===
ros-melodic-uwsim-osgbullet (3.0.1-3bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Sun, 10 Nov 2019 20:13:24 -0000

=== debian/control ===
Source: ros-melodic-uwsim-osgbullet
Section: misc
Priority: extra
Maintainer: Mario Prats <marioprats@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libopenscenegraph-dev, openscenegraph, ros-melodic-uwsim-bullet, ros-melodic-uwsim-osgworks
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-uwsim-osgbullet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopenscenegraph-dev, openscenegraph, ros-melodic-catkin, ros-melodic-uwsim-bullet, ros-melodic-uwsim-osgworks
Description: The OSG Bullet library adapted to UWSim.
 See https://code.google.com/p/osgbullet

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-uwsim-osgbullet//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
